purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Ide.Command

Description

Datatypes for the commands psc-ide accepts

# Documentation

data Command #

Constructors

Load [ModuleName] |
LoadSync [ModuleName] |
Type |

Fields

- typeSearch :: Text
- typeFilters :: [Filter]
- typeCurrentModule :: Maybe ModuleName

Complete |

Fields

- completeFilters :: [Filter]
- completeMatcher :: Matcher IdeDeclarationAnn
- completeCurrentModule :: Maybe ModuleName
- completeOptions :: CompletionOptions

CaseSplit |

Fields

- caseSplitLine :: Text
- caseSplitBegin :: Int
- caseSplitEnd :: Int
- caseSplitAnnotations :: WildcardAnnotations
- caseSplitType :: Text

AddClause |

Fields

- addClauseLine :: Text
- addClauseAnnotations :: WildcardAnnotations

FindUsages |

Fields

- usagesModule :: ModuleName
- usagesIdentifier :: Text
- usagesNamespace :: IdeNamespace

Import FilePath (Maybe FilePath) [Filter] ImportCommand |
List |

Fields

- listType :: ListType

Rebuild FilePath (Maybe FilePath) (Set CodegenTarget) |
RebuildSync FilePath (Maybe FilePath) (Set CodegenTarget) |
Cwd |
Reset |
Quit |

#### Instances

Instances details

FromJSON Command # |
Instance details Defined in Language.PureScript.Ide.Command Methods parseJSON :: Value -> Parser Command # parseJSONList :: Value -> Parser [Command] # omittedField :: Maybe Command #

commandName :: Command -> Text #

data ImportCommand #

Constructors

AddImplicitImport ModuleName |
AddQualifiedImport ModuleName ModuleName |
AddImportForIdentifier Text (Maybe ModuleName) |

#### Instances

Instances details

FromJSON ImportCommand # |
Instance details Defined in Language.PureScript.Ide.Command Methods parseJSON :: Value -> Parser ImportCommand # parseJSONList :: Value -> Parser [ImportCommand] # omittedField :: Maybe ImportCommand #
Show ImportCommand # |
Instance details Defined in Language.PureScript.Ide.Command Methods showsPrec :: Int -> ImportCommand -> ShowS # show :: ImportCommand -> String # showList :: [ImportCommand] -> ShowS #
Eq ImportCommand # |
Instance details Defined in Language.PureScript.Ide.Command Methods (==) :: ImportCommand -> ImportCommand -> Bool # (/=) :: ImportCommand -> ImportCommand -> Bool #

data ListType #

Constructors

LoadedModules |
Imports FilePath |
AvailableModules |

#### Instances

Instances details

FromJSON ListType # |
Instance details Defined in Language.PureScript.Ide.Command Methods parseJSON :: Value -> Parser ListType # parseJSONList :: Value -> Parser [ListType] # omittedField :: Maybe ListType #